Bug 998504 - ACPICA Tools Update
ACPICA Tools Update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
: Tracking
Depends On:
Blocks: 1008185 1008186
  Show dependency treegraph
 
Reported: 2013-08-19 09:04 EDT by Jaroslav Reznik
Modified: 2013-12-18 09:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1008185 1008186 (view as bug list)
Environment:
Last Closed: 2013-12-18 09:00:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2013-08-19 09:04:10 EDT
This is a tracking bug for Change: ACPICA Tools Update
For more details, see: http://fedoraproject.org//wiki/Changes/AcpicaTools

For developers working with the ACPI subsystem, there are tools available from the reference implementation at http://www.acpica.org.  These tools have been restructured over time and the current Fedora packages as a result contain either outdated versions or do not make available a complete set of tools.  We propose an acpica-tools package that replaces both the existing iasl package and the the existing pmtools package in order to make all current tools available, and make it more straightforward in the future to keep them up-to-date.
Comment 1 Al Stone 2013-08-28 18:08:23 EDT
Package has been uploaded into git and builds done for all architectures for f20.
Comment 2 John Freed 2013-09-09 04:02:26 EDT
acpica-tools obsoletes pmtools, but it appears it should also obsolete iasl:


Transaction check error:
  file /usr/bin/iasl from install of acpica-tools-20130823-2.fc19.x86_64 conflicts with file from package iasl-20120913-7.fc19.x86_64
  file /usr/share/man/man1/iasl.1.gz from install of acpica-tools-20130823-2.fc19.x86_64 conflicts with file from package iasl-20120913-7.fc19.x86_64


Erasing iasl and installing acpica-tools works.
Comment 3 Al Stone 2013-10-10 13:26:49 EDT
Package acpica-tools-20130823-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing acpica-tools-20130823-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18609/acpica-tools-20130823-5.fc19
then log in and leave karma (feedback).
Comment 4 Jaroslav Reznik 2013-10-11 04:45:21 EDT
This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule
Comment 5 Al Stone 2013-10-11 10:46:41 EDT
Code is complete and all changes have been made.
Comment 6 Jaroslav Reznik 2013-12-18 09:00:39 EST
Closing this bug as this Change was delivered in Fedora 20 release. Please, reopen in case of any issues you encounter regarding this Change completion.

Note You need to log in before you can comment on or make changes to this bug.